Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authorization
Interface DeployableRoleMapperMBean

All Known Subinterfaces:
  DefaultRoleMapperMBean

public interface DeployableRoleMapperMBean
extends weblogic.management.commo.StandardInterface, RoleMapperMBean

The SSPI MBean that must be extended by Role Mapping providers that can store roles created while deploying a Web application or EJB.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `isRoleDeploymentEnabled()` Indicates whether this Role Mapping provider stores roles that are created while deploying a Web application or EJB.
`void` | `setRoleDeploymentEnabled(boolean newValue)` Indicates whether this Role Mapping provider stores roles that are created while deploying a Web application or EJB.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getRealm, getVersion, setRealm`

Method Detail

### isRoleDeploymentEnabled

    public boolean isRoleDeploymentEnabled()

  Indicates whether this Role Mapping provider stores roles that are created while deploying a Web application or EJB.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true

### setRoleDeploymentEnabled

    public void setRoleDeploymentEnabled(boolean newValue)
                                  throws javax.management.InvalidAttributeValueException

  Indicates whether this Role Mapping provider stores roles that are created while deploying a Web application or EJB.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute RoleDeploymentEnabled
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD